/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock.junit.monitoring.component.se.flowable;

import org.ow2.petals.jmx.api.api.monitoring.component.se.flowable.DatabaseConnectionPoolMetrics;

/**
 * A mock implementation of {@link DatabaseConnectionPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class DatabaseConnectionPoolMetricsMock implements DatabaseConnectionPoolMetrics {

    private final Long maxActiveSize;

    private final Long maxIdleSize;

    private final Long activeConnectionsSize;

    private final Long activeConnectionsMaxSize;

    private final Long idleConnectionsSize;

    private final Long idleConnectionsMaxSize;

    public DatabaseConnectionPoolMetricsMock(final Long maxActiveSize, final Long maxIdleSize,
            final Long activeConnectionsSize, final Long activeConnectionsMaxSize, final Long idleConnectionsSize,
            final Long idleConnectionsMaxSize) {
        super();
        this.maxActiveSize = maxActiveSize;
        this.maxIdleSize = maxIdleSize;
        this.activeConnectionsSize = activeConnectionsSize;
        this.activeConnectionsMaxSize = activeConnectionsMaxSize;
        this.idleConnectionsSize = idleConnectionsSize;
        this.idleConnectionsMaxSize = idleConnectionsMaxSize;
    }

    @Override
    public Long getMaxActiveSize() {
        return this.maxActiveSize;
    }

    @Override
    public Long getMaxIdleSize() {
        return this.maxIdleSize;
    }

    @Override
    public Long getActiveConnectionsSize() {
        return this.activeConnectionsSize;
    }

    @Override
    public Long getActiveConnectionsMaxSize() {
        return this.activeConnectionsMaxSize;
    }

    @Override
    public Long getIdleConnectionsSize() {
        return this.idleConnectionsSize;
    }

    @Override
    public Long getIdleConnectionsMaxSize() {
        return this.idleConnectionsMaxSize;
    }

}
